# Class TCefTextfieldDelegateRef

Description
Hierarchy
Fields
Methods
Properties

## Unit

uCEFTextfieldDelegate

## Declaration

`type TCefTextfieldDelegateRef = class(TCefViewDelegateRef, ICefTextfieldDelegate)`

## Description

This item has no description.

## Hierarchy

- TInterfacedObject
- TCefBaseRefCountedRef
- TCefViewDelegateRef
- TCefTextfieldDelegateRef

## Overview

### Methods

| `procedure OnKeyEvent(const textfield: ICefTextfield; const event: TCefKeyEvent; var aResult : boolean);`
| `procedure OnAfterUserAction(const textfield: ICefTextfield);`
| `class function UnWrap(data: Pointer): ICefTextfieldDelegate;`

## Description

### Methods

| `procedure OnKeyEvent(const textfield: ICefTextfield; const event: TCefKeyEvent; var aResult : boolean);`
This item has no description. Showing description inherited from ICefTextfieldDelegate.OnKeyEvent. Called when |textfield| receives a keyboard event. |event| contains information about the keyboard event. Return true (1) if the keyboard event was handled or false (0) otherwise for default handling.

| `procedure OnAfterUserAction(const textfield: ICefTextfield);`
This item has no description. Showing description inherited from ICefTextfieldDelegate.OnAfterUserAction. Called after performing a user action that may change |textfield|.

| `class function UnWrap(data: Pointer): ICefTextfieldDelegate;`
Returns a ICefTextfieldDelegate instance using a PCefTextfieldDelegate data pointer.

Generated by PasDoc 0.16.0-snapshot.